SUSE SLES15セキュリティ更新プログラム:java-1_8_0-ibm(SUSE-SU-2020:3932-1)

medium Nessus プラグイン ID 144599

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

java-1_8_0-ibm用のこの更新プログラムでは、以下の問題が修正されています:

Java 8.0 Service Refresh 6 Fix Pack 20に更新してください [bsc#1180063、bsc#1177943] CVE-2020-14792 CVE-2020-14797 CVE-2020-14781 CVE-2020-14779 CVE-2020-14798 CVE-2020-14796 CVE-2020-14803

- クラスライブラリ:

- SOCKETADAPTOR$SOCKETINPUTSTREAM.READは、設定されたタイムアウトよりも長い時間ブロックします

- Z/OS固有のC関数であるsend_fileは、ファイルポインターの位置を変更します

- Java仮想マシン:

- javaスタックの繰り返しでのクラッシュ

- JavaプロセスがSIGTERMでハングアップします

- JITコンパイラ:

- JDK8 SR5 FP40からFP41へのJMSパフォーマンスの回帰

- クラスライブラリ:

- z14からz15へのZ/VMおよびLinuxの移行後のz15高使用率

- Java仮想マシン:

- クラスファイルを書き込もうとしたときにアサーションが失敗しました

- modronapi.cppでのアサーション失敗

- クラスの定義と検索のパフォーマンスを改善します

- JITコンパイラ:

- ppcbinaryencoding.cppのアサートが、電源のトラップを無効にした状態で実行されると、トリガーされることがあります

- nバイトごとのAOTフィールドオフセットのオフ

- IBM zプラットフォームのjitモジュールのセグメンテーション違反

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Server for SAP 15:

zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2020-3932=1

SUSE Linux Enterprise Server 15-LTSS:

zypper in -t patch SUSE-SLE-Product-SLES-15-2020-3932=1

SUSE Linux Enterprise Module for Legacy Software 15-SP3:

zypper in -t patch SUSE-SLE-Module-Legacy-15-SP3-2020-3932=1

SUSE Linux Enterprise Module for Legacy Software 15-SP2:

zypper in -t patch SUSE-SLE-Module-Legacy-15-SP2-2020-3932=1

SUSE Linux Enterprise Module for Legacy Software 15-SP1:

zypper in -t patch SUSE-SLE-Module-Legacy-15-SP1-2020-3932=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1177943

https://bugzilla.suse.com/show_bug.cgi?id=1180063

https://www.suse.com/security/cve/CVE-2020-14779/

https://www.suse.com/security/cve/CVE-2020-14781/

https://www.suse.com/security/cve/CVE-2020-14792/

https://www.suse.com/security/cve/CVE-2020-14796/

https://www.suse.com/security/cve/CVE-2020-14797/

https://www.suse.com/security/cve/CVE-2020-14798/

https://www.suse.com/security/cve/CVE-2020-14803/

http://www.nessus.org/u?c50fcad1

プラグインの詳細

深刻度: Medium

ID: 144599

ファイル名: suse_SU-2020-3932-1.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2020/12/24

更新日: 2022/5/11

サポートされているセンサー: Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2020-14792

VPR

リスクファクター: Low

スコア: 3.3

CVSS v2

リスクファクター: Medium

Base Score: 5.8

Temporal Score: 4.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 5.3

Temporal Score: 4.6

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:java-1_8_0-ibm, p-cpe:/a:novell:suse_linux:java-1_8_0-ibm-alsa, p-cpe:/a:novell:suse_linux:java-1_8_0-ibm-devel, p-cpe:/a:novell:suse_linux:java-1_8_0-ibm-plugin, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/12/23

脆弱性公開日: 2020/10/21

参照情報

CVE: CVE-2020-14779, CVE-2020-14781, CVE-2020-14792, CVE-2020-14796, CVE-2020-14797, CVE-2020-14798, CVE-2020-14803